org.apache.felix.scr

## Interface ScrInfo

    public interface ScrInfo

Abstraction of command interface.

### Method Summary

Methods
`void` `config(PrintWriter out)` List in text the current SCR configuration
`void` `info(String componentId, PrintWriter out)` List in text detailed information about the specified components.
`void` `list(String bundleIdentifier, PrintWriter out)` List in text the components for the bundle specified, or all components if null, sorted by component ID

### Method Detail

#### list

    void list(String bundleIdentifier,
            PrintWriter out)

List in text the components for the bundle specified, or all components if null, sorted by component ID

Parameters:
  `bundleIdentifier` - bundle the components are in or null for all components
  `out` - PrintStream for normal output
Throws:
  `IllegalArgumentException` - if nothing can be found

#### info

    void info(String componentId,
            PrintWriter out)

List in text detailed information about the specified components. Components can be specified by numeric componentId, component name, a regexp to match for component name, or null for all components.

Parameters:
  `componentId` - specifier for desired components
  `out` - PrintStream for normal output
Throws:
  `IllegalArgumentException` - if nothing can be found

#### config

    void config(PrintWriter out)

List in text the current SCR configuration

Parameters:
  `out` - PrintStream for output.